| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | List of all members
globjects::Changeable Class Reference

Superclass of all objects that want others to signal that they have changed. More...

`#include <globjects/include/globjects/base/Changeable.h>`

Inheritance diagram for globjects::Changeable:

## Public Member Functions
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Detailed Description

Superclass of all objects that want others to signal that they have changed.

It implements the observer pattern. Listeners to the subclass change can be registered using registerListener() and deregistered using deregisterListener().

See also
  ChangeListener

## Member Function Documentation

## ◆ changed()

void globjects::Changeable::changed | ( |  | ) | const

## ◆ registerListener()

void globjects::Changeable::registerListener | ( | ChangeListener * | listener | ) |

## ◆ deregisterListener()

void globjects::Changeable::deregisterListener | ( | ChangeListener * | listener | ) |

The documentation for this class was generated from the following file:

- Changeable.h